#define TRIP_MELTING			1
#define TRIP_RIPPLE				2
#define TRIP_BAD				3

#define JAMES_MOAN				128			/* 'snd ' for James' moan */
	
#define JAMES_ZENITH			1000		/* for determining whether James is helping */
#define JAMES_RARELY			900			/* how many times in JAMES_ZENITH he helps */
#define JAMES_SOMETIMES			800
#define JAMES_OFTEN				400
#define JAMES_YOW				200

#define NUM_LOOPS				350			/* seems to be a good number, all in all.. */

/* record to hold variables */

typedef struct AcidStorage {
	Boolean		soundAvailable;					/* flag that indicates existence of sound. */
	SoundInfo	**soundInfo;					/* storage for sound. */
	Handle		jamesSound;						/* the sound(s) to make when the ball bounces. */
} AcidStorage, *AcidStoragePtr, **AcidStorageHandle;

static void CleanUp (AcidStorage** storage);						// all done!
Rect ObtainRect (Rect *monitorRect); 								// Create random-size rectangle.
unsigned short RangedRdm( unsigned short min, unsigned short max );	// get random number

/* an exceptionally ugly macro for exception handling */

#define FailNIL(p)		if(!(p)) { CleanUp((AcidStorage**)h); *storage = nil; return -1; }