#ifndef __DIALOGUTIL__
#define __DIALOGUTIL__

#ifndef __DIALOGS__
#include <Dialogs.h>
#endif

#ifdef __cplusplus
extern "C"
{
#endif

short getType(DialogPtr theDialog, short itemNo);
Handle getItem(DialogPtr theDialog, short itemNo);
short getValue(DialogPtr theDialog, short itemNo);
void getBox(DialogPtr theDialog, short itemNo, Rect *box);
void getString(DialogPtr theDialog, short itemNo, StringPtr string);
long getNum(DialogPtr theDialog, short itemNo);

void setType(DialogPtr theDialog, short itemNo, short type);
void setItem(DialogPtr theDialog, short itemNo, Handle item);
void setBox(DialogPtr theDialog, short itemNo, Rect *box);
void setValue(DialogPtr theDialog, short itemNo, short value);
void setString(DialogPtr theDialog, short itemNo, StringPtr string);
void setNum(DialogPtr theDialog, short itemNo, long num);

void doCheck(DialogPtr theDialog, short itemNo);
void doRadio(DialogPtr theDialog, short itemNo, short firstItem, short lastItem);
void hiliteItem(DialogPtr theDialog, short itemNo, short hiliteState);

void drawGrayBox(DialogPtr theDialog, short itemNo);
void drawBoldOutline(WindowPtr theWindow, short itemNo);
void drawUnderline(WindowPtr theWindow, short itemNo);

void EraseBigFrame(DialogPtr theDialog, short item);
void DrawSmallFrame(DialogPtr theDialog, short item);
void DrawBigFrame(DialogPtr theDialog, short item);

#ifdef __cplusplus
}
#endif

#endif