/*
	GELogo.h
	
	Graphic Elements  1994 floating sign
	
	Copyright 1994 by Al Evans. All rights reserved.
	
	5/31/94
	
*/

#ifdef applec
#ifndef __cplusplus
#ifndef PRELOAD
#pragma load "::ToolKit.precompile"
#define PRELOAD
#endif
#endif
#endif

#ifndef GRAPHELEMENTS
#include "GraphElements.h"
#endif

//Logo plane

#define logoPlane	400

//Logo ID
#define logoID 'LOGO'

#ifdef __cplusplus
extern "C" {
#endif

Boolean LoadLogoScene(GEWorldPtr world);

//Logo collision proc
pascal void DoLogoHit(GEWorldPtr world, GrafElPtr logo, GEDirection dir, 
									CollisionPhase phase, GrafElPtr objHit);

#ifdef __cplusplus
}
#endif
