//---------------------------------------------------------------------------------- 
// File		: demoCDEF.h
// Purpose	: Demo routine for various CDEF's and dialog routines
// Author	: Jim Stout
// Date		: November 2, 1991
//----------------------------------------------------------------------------------

#define MAKELONG(type, data)	((long)(((short)(type))) | (((long)((short)(data)) << 16)))

//  N.B. : The following structure is NOT the same as Apple's.
// 			It does match, for the first 2 elements.
			
typedef struct{
MenuHandle	mHandle;						// handle to the menu 		
int			mId;							// resource id of menu		
}popUpPrivateData,**popUpPrivateDataH;

// #defines for DITL items 

#define OK			1
#define ENABLE		2

#define CB1			3	// Checkboxes		
#define CB2			4

#define RB1			5	// Radio buttons	
#define RB2			6
#define RB3			7

#define TB1			8	// Tog buttons		
#define TB2			9
#define TB3			10
#define TB4			11

#define FONTPOPUP	16
#define FONTSIZE	17
#define SPIN2 		19
#define SETBTN		22

#define EDITSIZE	28
#define EDITSPIN	29
#define PROGBAR		30

// character code defines 
#ifndef _BACK
#define _BACK		0x08
#define _TAB	0x09
#define _LEFT	0x1c
#define _RIGHT	0x1d
#define _PLUS	0x2b
#define _MINUS	0x2d
#define _ZERO	0x30
#define _NINE	0x39
#endif