/**********************************************************************\

File:		sfx lists.h

Purpose:	This is the header file for sfx lists.c

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program in a file named "GNU General Public License".
If not, write to the Free Software Foundation, 675 Mass Ave,
Cambridge, MA 02139, USA.

\**********************************************************************/

#include "graphics.h"

ListHandle MyCreateVerticalScrollingList(WindowPtr theWindow, Rect boundsRect,
	short columnsInList, short theLDEF);
void MyDrawListBorder(ListHandle theList);
void MyDrawActiveListBorder(ListHandle theList, Boolean isActive);
void MyAddStr255ToList(ListHandle theList, Str255 theStr);
void MyDeleteItemFromList(ListHandle theList, short index);
void MyHandleMouseDownInList(WindowDataHandle theData, ListHandle theList,
	EventRecord *theEvent, Boolean isUsedList);
void MyUpdateList(ListHandle theList);
Boolean MyGetFirstSelectedCell(ListHandle theList, Cell *theCell);
void MySelectOneCell(ListHandle theList, Cell theCell);
void MyMakeCellVisible(ListHandle theList, Cell theCell);
void MyDeselectAllCells(ListHandle theList);
void MyClearAllCells(ListHandle theList);
void MyGetCellData(ListHandle theList, Cell theCell, Str255 theName);
void MyHandleDoubleClickInList(ListHandle theList);
